#
# spec file for package soapy-airspy
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2017-2021, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define soapy_modver 0.8
%define soapy_modname soapysdr%{soapy_modver}-module-airspy
Name:           soapy-airspy
Version:        0.2.0
Release:        2.9
Summary:        SoapySDR Airspy module
License:        MIT
Group:          Hardware/Other
URL:            https://github.com/pothosware/SoapyAirspy/wiki
#Git-Clone:     https://github.com/pothosware/SoapyAirspy.git
Source:         https://github.com/pothosware/SoapyAirspy/archive/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(SoapySDR)
BuildRequires:  pkgconfig(libairspy)

%description
Soapy Airspy - Airspy device support for Soapy SDR.
A Soapy module that supports Airspy devices within the Soapy API.

%package -n %{soapy_modname}
Summary:        SoapySDR Airspy module
Group:          System/Libraries

%description -n %{soapy_modname}
Soapy Airspy - Airspy device support for Soapy SDR.
A Soapy module that supports Airspy devices within the Soapy API.

%prep
%setup -q -n SoapyAirspy-%{name}-%{version}

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
%cmake_install

%files -n %{soapy_modname}
%license LICENSE.txt
%doc Changelog.txt README.md
%dir %{_libdir}/SoapySDR
%dir %{_libdir}/SoapySDR/modules%{soapy_modver}
%{_libdir}/SoapySDR/modules%{soapy_modver}/libairspySupport.so

%changelog
* Sat Jun 12 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- SoapySDR version bumped to 0.8
* Sat Jun  5 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.2.0
  * Support opening the device by serial convention
* Thu Dec 13 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Update to version 0.1.2
  * Fixed fullScale value for getNativeStreamFormat() call
  * Apply optional arguments to settings on setting key match
  * Added optional stream bitpacking with "bitpack" setting
* Sat Nov 10 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- build with soapy-sdr 0.7
* Fri May  5 2017 mardnh@gmx.de
- Update to version 0.1.1
  * Support native AIRSPY_SAMPLE_INT16_IQ format
  * Use atomics for ring buffer implementation
  * Use Format string constants for stream types
* Wed Apr 19 2017 mardnh@gmx.de
- renamed packages according the debian package name from upstream
* Fri Apr 14 2017 mardnh@gmx.de
- Update to version 0.1.0 (tagged release)
- renamed package from SoapyAirspy to soapy-airspy
- specfile cleanup
* Tue Jan  3 2017 mardnh@gmx.de
- Update to version 0.1.0.git1475969537.e206492:
  * Scaffold for SoapyAirspy from SoapyAudio
  * find/init device, set frequency, sample rates, rf range
  * Looks to be working now, mostly untested.
  * Init sample rate before rx to avoid immediate re-init, remove local var copy
  * Implement LNA, MIXER and VGA gain
  * unnecessary loop; memcpy() for matching format
  * Add Bias tee support
  * debian build files and changelog
  * debian: fixed executable bit on rules
  * airspy streaming - use format defines
  * streaming - Use atomics for ring buffer
  * streaming - support AIRSPY_SAMPLE_INT16_IQ format
  * streaming - check buf count under lock
  * match buffer length to airspy source
  * fixed bad pointer math, needs to be in bytes
  * buffer length is in samples
* Thu Oct 15 2015 mardnh@gmx.de
- Update to version 0.0.0.git1444873076.ee7011d:
  +
* Thu Oct 15 2015 mardnh@gmx.de
- initial package
